{ pkgs, ... }:
pkgs.mkShell {
  buildInputs = with pkgs; [
    #LANG & COMPILER
    gcc
    (with llvmPackages; [ libcxxClang ])
    gnumake
    cmake
    go
    gotools
    jdk
    gradle
    maven
    kotlin
    nodejs
    yarn-berry
    crystal
    shards
    python311Full
    virtualenv
    (with python311Packages; [ pip ])
    pipenv
    scala
    sbt
    cargo

    #LIBS
    openssl
    pcre
    pcre2
    ncurses
    patchelf
    zlib

    #DBG & TOOLS
    gdbgui
    valgrind
    sox
    docker-compose

    #CUSTOM (custom...)
  ];
  shellHook = ''
    export SHELLENVTYPE="DEV"
    export HTTP_PORT=8080
    export HTTP_ADDR="0.0.0.0"
  '';
}
